//
//  Shader.fsh
//  Wumbo
//
//  Created by Wade McGillis on 10/26/13.
//  Copyright (c) 2013 Wade McGillis. All rights reserved.
//
varying lowp vec4 vertexColor;
varying highp vec2 texcoord0frag;
uniform sampler2D texture;
varying lowp float alpha;
void main()
{
	lowp vec4 col = vertexColor * texture2D(texture, texcoord0frag);
	col.a *= alpha;
	gl_FragColor = col;
}