//
//  Shader.vsh
//  Wumbo
//
//  Created by Wade McGillis on 10/26/13.
//  Copyright (c) 2013 Wade McGillis. All rights reserved.
//
#define _XOFFSET supermatrix[0][0]
#define _YOFFSET supermatrix[0][1]
#define _RENDERWIDTH supermatrix[0][2]
#define _RENDERHEIGHT supermatrix[0][3]
precision highp float;
attribute highp vec4 position;
attribute lowp vec4 color;
uniform mat4 supermatrix;
varying lowp vec4 vertexColor;
attribute highp vec2 texcoord0;
varying highp vec2 texcoord0frag;
varying lowp float alpha;
void main()
{
	highp vec4 finalPosition = position;
	finalPosition.x = ((position.x-_XOFFSET)/(_RENDERWIDTH/2.0)-1.0);
	finalPosition.y = -((position.y-_YOFFSET)/(_RENDERHEIGHT/2.0)-1.0);
	vertexColor = color;
	texcoord0frag = texcoord0;
	alpha = color.a;
	gl_Position = finalPosition;
}
